Edgewall Software

Bitten Downloads

Bitten 0.6 works with Trac 0.11.x and Trac 0.12.x, supporting a single (default) repository.

For Trac 0.12+ multi-repository support please install Bitten from trunk (a.k.a 0.7dev).

Latest Release

Currently latest release: 0.6

Bitten (master+slave) BittenSlave (slave only)
Python 2.4 egg Python 2.4 egg
Python 2.5 egg Python 2.5 egg
Python 2.6 egg Python 2.6 egg
Python 2.7 egg Python 2.7 egg
tar.gz source
zip source
Win32 installer Win32 installer
Win64 installer Win64 installer

All releases: http://ftp.edgewall.com/pub/bitten/ or ftp://ftp.edgewall.com/pub/bitten/

Latest Development Source Code

The Subversion repository URL for the Bitten project is at:

http://svn.edgewall.org/repos/bitten/

Alternative 1: Checkout and install

The latest revision can be checked out with the following command:

svn co http://svn.edgewall.org/repos/bitten/branches/0.6.x bitten-0.6.x
# or
svn co http://svn.edgewall.org/repos/bitten/trunk bitten-trunk

(Alternatively, you can use https for an encrypted connection, which also helps getting around clueless firewalls that haven't heard of WebDAV yet.)

Then change into the checkout directory and run setup.py:

cd bitten-<version>
python setup.py install   # master + slave
# or
python setup.py --without-master install   # slave only

Alternative 2: easy_install from URL

If you have a recent version of Setuptools installed, you can just do:

easy_install http://svn.edgewall.org/repos/bitten/branches/0.6.x
# or
easy_install http://svn.edgewall.org/repos/bitten/trunk/

Earlier releases

Old releases are still available from Sourceforge (the last one was 0.5.3), but at this time it is strongly recommended that you use current source and releases. Old releases (0.5.x) support Trac 0.10.x, but can not be used for Trac 0.11. For Trac 0.11+, 0.6 is required.

Pre-0.6 releases are no longer supported by the Bitten project!

Last modified 2 years ago Last modified on Jun 8, 2013 11:26:59 AM